<?php
$cardArray = array();

foreach( $data as $val ){
	$cardArray[$val['User']['id']] = $val['User']['name'];
}
?>
<style type="text/css">
.nolinetp0 {
	padding-top: 0px;
	border-top-style: none;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
}
.nolinebo0 {
	padding-bottom: 0px;
	border-top-style: none;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
}
.fontsmall {
	font-size: small;
}
#paper {
	margin-top: 0px;
	margin-right: auto;
	margin-bottom: 0px;
	margin-left: auto;
	padding: 0px;
	height: 170mm;
	width: 270mm;
}
#paper .card {
	margin: 0px;
	padding: 0px;
	height: 84mm;
	width: 53mm;
	float: left;
	border: 0.5mm solid #CCC;
	border-radius: 25px 25px 25px 25px / 25px 25px 25px 25px;
}
#paper .card .title {
	margin-top: 15mm;
	margin-right: auto;
	margin-bottom: 5mm;
	margin-left: auto;
	width: 52mm;
	font-size: medium;
	text-align: center;
	font-family: "メイリオ";
}
#paper .card .name {
	width: 53mm;
	margin-top: 5mm;
	margin-right: auto;
	margin-bottom: 2mm;
	margin-left: auto;
	text-align: center;
	font-size: x-large;
	font-family: "メイリオ";
	font-weight: bold;
}
#paper .card .logo {
	margin-top: 10mm;
	text-align: center;
	font-family: "メイリオ";
}
.logoSample {
	width: 47mm;
	border: 1px solid #666;
}
.logoimg {
	width: 47mm;
}
#paper .card .cord {
	text-align: center;
	width: 53mm;
	margin-top: 50px;
	margin-right: 0px;
	margin-bottom: 5px;
	margin-left: 0px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
	padding-left: 10px;
}
@media print{
#paper .card {border-style:none}
}
</style>
<script type="text/javascript">
function card(n){
	var userId = document.getElementById("card"+n).value;
	if(userId == ''){
		document.getElementById('name'+n).innerHTML = '　';
		document.getElementById('cord'+n).innerHTML = '　';
		document.getElementById('title'+n).innerHTML = '　';
		document.getElementById('logo'+n).innerHTML = '　';
	}else{
		var me = document.getElementById("card"+n).options[document.getElementById("card"+n).selectedIndex].text;
		document.getElementById('name'+n).innerHTML = me;
		document.getElementById('cord'+n).innerHTML = '<img src="<?php echo $this->webroot ?>TimeRecorder/code39?bcdstr=*'+userId+'*" />';
		document.getElementById('title'+n).innerHTML = 'タ イ ム カ ー ド';
		document.getElementById('logo'+n).innerHTML = '<?php echo $syamei; ?>';
	}
}
</script>
<div class="leftcol">
<br /><br />
  <table class="noline" align="center" border="0" cellpadding="10" cellspacing="0">
      <tr>
        <td class="noline" colspan="5">
        <a href="../menu/">戻る</a>
        　　　　　　　　　　<a href="../HelpPrint.html" target="_blank" style="font-size: 12px;">※印刷の際、用紙の端に文字が表示される場合</a>
        </td>
      </tr>
      <tr>
      <td class="noline" colspan="5">
      〔印刷設定　用紙：A4　余白：左右14mm上下19mm　間隔：横0.0mm縦0.0mm　倍率100％]<br />
        <span class="fontsmall"> お勧め　カード[マルチカード A-ONE 51164]　ケース[名刺ホルダー メイ-NB395D]</span>
      </td>
      </tr>
      <tr>
<?php
for($a = 1; $a <= 5; $a++) {
	echo '<td class="noline">'.$this->Form->select('card'.$a,$cardArray,array('empty'=>'','onchange'=>"card($a);")).'</td>'."\n";
}
?>
      </tr>
      <tr>
<?php
for($a = 6; $a <= 10; $a++) {
	echo '<td class="noline">'.$this->Form->select('card'.$a,$cardArray,array('empty'=>'','onchange'=>"card($a);")).'</td>'."\n";
}
?>
      </tr>
  </table>
  <br /><br />
</div>
<div id="paper">

<?php
for($a = 1; $a <= 5; $a++) {
	echo '<div class="card">
<p class="title" id="title'.$a.'">　</p>
<p class="name" id="name'.$a.'">　</p>
<p class="logo" id="logo'.$a.'">　</p>
<p class="cord" id="cord'.$a.'">　</p>
</div>'."\n";
}
?>
<br />
<?php
for($a = 6; $a <= 10; $a++) {
	echo '<div class="card">
<p class="title" id="title'.$a.'">　</p>
<p class="name" id="name'.$a.'">　</p>
<p id="logo'.$a.'">　</p>
<p class="cord" id="cord'.$a.'">　</p>
</div>'."\n";
}
?>

</div>
<div class="leftcol"> <br />
  <br />
</div>