<?php
class SettingController extends AppController {
	public $layout = "business";
	public $components = array('Auth');
	public function beforeFilter(){
		$this->Auth->allow('index','mail');
		App::import('Vendor', 'configDefault');
		if(DBCONFIG != 0){exit;}
	}
	public function index(){
		$this->set('title_for_layout', '初期設定　TimeRecorder ITS (Free)');
		$this->set('errmsg','');
	}
	public function mail(){
		//テーブル作成
		App::import('Vendor', 'NewTableLibrary');
		$db['dbServer'] = $this->request->data['host'];
		$db['dbUser'] = $this->request->data['login'];
		$db['dbPass'] = $this->request->data['password'];
		$db['dbName'] = $this->request->data['database'];
		$db['dbEncoding'] = 'utf8';

		//管理者データ登録
		$db['userMail'] = $this->request->data['User']['mail'];
		$abc123 = substr(str_shuffle('abcdefghijklmnopqrstuvwxyz1234567890'), 0, 8);
		$psCheck = 0;
		while ($psCheck == 0){
			if (preg_match("/[0-9]/", $abc123) && preg_match("/[a-z]/", $abc123)){
				$psCheck = 1;
			}else{
				$abc123 = substr(str_shuffle('abcdefghijklmnopqrstuvwxyz1234567890'), 0, 8);
			}
		}
		$userPassword = $abc123;
		$db['userPassword'] = AuthComponent::password($abc123);

		//メンバーデータ登録
		$abc123 = substr(str_shuffle('abcdefghijklmnopqrstuvwxyz1234567890'), 0, 8);
		$psCheck = 0;
		while ($psCheck == 0){
			if (preg_match("/[0-9]/", $abc123) && preg_match("/[a-z]/", $abc123)){
				$psCheck = 1;
			}else{
				$abc123 = substr(str_shuffle('abcdefghijklmnopqrstuvwxyz1234567890'), 0, 8);
			}
		}
		$memberPassword = $abc123;
		$db['memberPassword'] = AuthComponent::password($abc123);

		//実行
		$flag = tableAddRecord($db);

		if($flag == TRUE){
			$this->set('title_for_layout', '送信完了　TimeRecorder ITS (Free)');
			//データベース情報書き込み
			$data = '';
			$filepointer = fopen('../Config/database.php', "a+");
			flock($filepointer, LOCK_EX);
			while(!feof($filepointer)){
				$value = fgets($filepointer);
				if(preg_match('/defaultHost/',$value)){
					$value = "		'host' => '{$this->request->data['host']}',//--defaultHost"."\n";
				}elseif(preg_match('/defaultLogin/',$value)){
					$value = "		'login' => '{$this->request->data['login']}',//--defaultLogin"."\n";
				}elseif(preg_match('/defaultPassword/',$value)){
					$value = "		'password' => '{$this->request->data['password']}',//--defaultPassword"."\n";
				}elseif(preg_match('/defaultDatabase/',$value)){
					$value = "		'database' => '{$this->request->data['database']}',//--defaultDatabase"."\n";
				}
				$data.= $value;
			}
			ftruncate($filepointer,0);
			fputs($filepointer, $data);
			flock($filepointer, LOCK_UN);
			fclose($filepointer);

			//フラグ設定・送信用メールアドレス設定
			$data = '';
			$filepointer = fopen('../Vendor/config.php', "a+");
			flock($filepointer, LOCK_EX);
			while(!feof($filepointer)){
				$value = fgets($filepointer);
				if(preg_match('/SYAMEI/',$value)){
					$value = "define('SYAMEI', '{$this->request->data['syamei']}');"."\n";
				}elseif(preg_match('/APMEIL/',$value)){
					$value = "define('APMEIL', '{$this->request->data['mail']}');"."\n";
				}
				$data.= $value;
			}
			ftruncate($filepointer,0);
			fputs($filepointer, $data);
			flock($filepointer, LOCK_UN);
			fclose($filepointer);

			//デフォルト設定設定
			$data = '';
			$filepointer = fopen('../Vendor/configDefault.php', "a+");
			flock($filepointer, LOCK_EX);
			while(!feof($filepointer)){
				$value = fgets($filepointer);
				if(preg_match('/DBCONFIG/',$value)){
					$value = "define('DBCONFIG', 1);"."\n";
				}elseif(preg_match('/TIMEMBERPS/',$value)){
					$value = "define('TIMEMBERPS', '{$memberPassword}');"."\n";
				}elseif(preg_match('/FIRSTYEAR/',$value)){
					$value = "define('FIRSTYEAR', ".date('Y').");"."\n";
				}
				$data.= $value;
			}
			ftruncate($filepointer,0);
			fputs($filepointer, $data);
			flock($filepointer, LOCK_UN);
			fclose($filepointer);

			//管理者・社員ID・パスワード　メール送信
			$fromName = 'タイムレコーダー　ITS';// 送信者
			$from = $this->request->data['mail'];// 送信元
			$to = $this->request->data['User']['mail'];// 宛先
			$subject = mb_encode_mimeheader('TimeRecorder ITS (Free)　タイムレコーダー　管理者ID・パスワード',"ISO-2022-JP");// タイトル
			$pageMenu = preg_replace("/setting\/mail/", 'menu/', $_SERVER['REQUEST_URI']);
			$pageTr = preg_replace("/menu/", 'TimeRecorder', $pageMenu);
			$trUrl = (empty($_SERVER["HTTPS"]) ? "http://" : "https://").$_SERVER["HTTP_HOST"];
			$message = '<br />管理者ID：administrator<br />
			管理者パスワード：'.$userPassword.'<br />
			管理画面メニューアドレス：'.$trUrl.$pageMenu.'<br />
			<br />
			「出退勤のみアクセス」<br />
			ID・パスワードでログイン<br />
			社員ID：timerecorder_member<br />
			社員パスワード：'.$memberPassword.'<br />
			タイムレコーダー　アドレス：'.$trUrl.$pageTr.'<br />
			※　固定IPアドレスを設定した場合「出退勤のみアクセス」は自動でログインしID・パスワードは、不用です。<br />
			<br /><br />
			TimeRecorder ITS (Free)';
			$headers  = 'MIME-Version: 1.0' . "\r\n";
			$headers .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
			$headers .= 'From: '.mb_encode_mimeheader($fromName,"ISO-2022-JP").' <'.$from.'>' . "\r\n";
			mail($to, $subject, $message, $headers);// 送信
		}else{
			$this->set('title_for_layout', '初期設定　TimeRecorder ITS (Free)');
			$this->set('errmsg','<br /><span class="errmsg">初期設定に失敗しました</span>');
			$this->render('index');
		}
	}
}
