<?php

class UsersController extends AppController {
	public $components = array('Auth','Acl');
	public $layout = "business";
	public $uses = array('User');

	public function beforeFilter(){
		$this->Auth->allow('login');

		if($this->action != 'login'){
			$uname = $this->Auth->user('username');
			$act = $this->action;
			$act = $act == 'index' ? 'create' : $act;
			$act = $act == 'add' ? 'create' : $act;
			$act = $act == 'updateRecord' ? 'create' : $act;
			$act = $act == 'delRecord' ? 'create' : $act;
			$act = $act == 'config' ? 'create' : $act;

			$this->Session->write('act',$act);

			if ($this->Acl->check($uname, 'users',$act)){
			} else {
				$this->redirectHttpsAcl();
			}
		}
	}

	public function login(){

		App::import('Vendor', 'configDefault');
		App::import('Vendor', 'config');
		if(DBCONFIG == 0){$this->redirectHttps('Setting/');}

		if($this->Auth->user('id') == ''){
			$fixationIp = fixationIp();
			foreach( $fixationIp as $ip ){
				if('' !=  $ip && $_SERVER["REMOTE_ADDR"] == $ip){
					$this->request->data['User']['username'] = 'timerecorder_member';
					$this->request->data['User']['password'] = TIMEMBERPS;
					break;
				}
			}
		}

		if ($this->request->isPost() || !empty($this->data['User']['username'])) {
		  if ($this->Auth->login()) {
		  	$login_redirect = $this->Session->read('login_redirect');
		  	if(!empty($login_redirect)){
		  		$this->redirect($login_redirect);
		  	}else{
		  		$this->redirect($this->Auth->redirect());
		  	}
		  } else {
		      $this->Session->setFlash('ユーザ名かパスワードが違います。', 'default', array(), 'auth');
		  }
		}
		$this->set('title_for_layout', 'TimeRecorder ITS (Free)');
	}
	public function logout() {
	  $this->Auth->logout();
	}
	public function add(){
		if(isset($this->request->data['User']['id'])){
			$this->set('title_for_layout', '社員マスター変更');
			$data = $this->User->find('first',array('conditions'=>
			array('User.id' => $this->request->data['User']['id'])));
			$this->set('data',$data);
		}else{
			$this->set('title_for_layout', '社員マスター登録');
			$column_array = array('id','name','mail','kaisi','kyuukei','simebi');
			foreach( $column_array as $co ){
				$data['User'][$co] = '';
			}
			$this->set('data',$data);
		}
	}
	public function index(){
		$this->set('title_for_layout', '社員マスター　TimeRecorder ITS (Free)');
		$data = $this->User->find('all',array('order' => array('User.id')));
		$this->set('data',$data);
	}
	public function updateRecord(){
		$this->User->save($this->data);
		$this->redirectHttps('users');
	}
	public function delRecord(){
		$this->User->delete($this->data['User']['id']);
		$this->redirectHttps('users');
	}
	public function config(){
		$this->set('title_for_layout', '設定 　TimeRecorder ITS (Free)');
	}
}
